Bug 238561 - Add AXObjectCache::treeData() to retrieve serialized representation of the AX trees.
Summary: Add AXObjectCache::treeData() to retrieve serialized representation of the AX...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Andres Gonzalez
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2022-03-30 11:02 PDT by Andres Gonzalez
Modified: 2022-04-01 12:34 PDT (History)
10 users (show)

See Also:


Attachments
Patch (4.83 KB, patch)
2022-03-30 11:27 PDT, Andres Gonzalez
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (4.15 KB, patch)
2022-03-30 12:48 PDT, Andres Gonzalez
no flags Details | Formatted Diff | Diff
Patch (4.13 KB, patch)
2022-03-31 04:34 PDT, Andres Gonzalez
ews-feeder: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andres Gonzalez 2022-03-30 11:02:40 PDT
Add AXObjectCache::treeData() to retrieve serialized representation of the AX trees.
Comment 1 Radar WebKit Bug Importer 2022-03-30 11:02:49 PDT
<rdar://problem/91055027>
Comment 2 Andres Gonzalez 2022-03-30 11:27:50 PDT
Created attachment 456156 [details]
Patch
Comment 3 chris fleizach 2022-03-30 11:35:32 PDT
Comment on attachment 456156 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=456156&action=review

> Source/WebCore/accessibility/AXObjectCache.cpp:3565
> +    stream << "\nAXIsolatedTree:\n";

should we also check that isolated tree is enabled
Comment 4 Andres Gonzalez 2022-03-30 12:48:48 PDT
Created attachment 456168 [details]
Patch
Comment 5 Andres Gonzalez 2022-03-30 12:51:17 PDT
(In reply to chris fleizach from comment #3)
> Comment on attachment 456156 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=456156&action=review
> 
> > Source/WebCore/accessibility/AXObjectCache.cpp:3565
> > +    stream << "\nAXIsolatedTree:\n";
> 
> should we also check that isolated tree is enabled

Done. It would work the same even if it is not enabled, but it makes sense to maintain that separation between the mode on and off.
Comment 6 Andres Gonzalez 2022-03-31 04:34:40 PDT
Created attachment 456226 [details]
Patch
Comment 7 EWS 2022-04-01 09:43:18 PDT
Committed r292223 (249126@main): <https://commits.webkit.org/249126@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 456226 [details].